import 'package:atmo_sphere/tools/start_page.dart';
import 'package:flutter/material.dart';
import 'constants.dart';
import 'screens/main_screen.dart';

class AtmoSphereApp extends StatelessWidget {
  final NavigatorObserver analyticsObserver;
  const AtmoSphereApp({super.key,required this.analyticsObserver});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'AtmoSphere',
      navigatorObservers: [analyticsObserver],
      theme: ThemeData(
        brightness: Brightness.dark,
        primarySwatch: Colors.blue,
        fontFamily: 'Inter',
        scaffoldBackgroundColor: kDarkPurple,
        appBarTheme: const AppBarTheme(
          backgroundColor: Colors.transparent,
          elevation: 0,
          centerTitle: true,
        ),
      ),
      debugShowCheckedModeBanner: false,
      home: StartPage(
        homePageBuilder: () => const MainScreen(),
      ),
    );
  }
}
